SRCDIR = ..
include $(SRCDIR)/Make.Rules

# targets
most: archive shared
install : install_a install_s install_h
everything: most progs
install_everything : install install_p install_m

LSUBDIRS = libtiff

archive shared install_a install_s install_h:
	set -e; for dir in $(LSUBDIRS); do \
		(cd $$dir; make $@); \
	done

PSUBDIRS = tools

install_p progs:
	set -e; for dir in $(PSUBDIRS); do \
		(cd $$dir; make $@); \
	done

MSUBDIRS = man

install_m :
	set -e; for dir in $(MSUBDIRS); do \
		(cd $$dir; make $@); \
	done

clean :
	set -e; for dir in $(LSUBDIRS) $(PSUBDIRS) $(MSUBDIRS); do \
		(cd $$dir; make $@); \
	done
